Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.writer.xml
Class DefaultXMLWriter.XMLElement

    java.lang.Object
      edu.stanford.smi.protegex.owl.writer.xml.DefaultXMLWriter.XMLElement

Enclosing class:
  DefaultXMLWriter

    public class DefaultXMLWriter.XMLElement

extends Object

Constructor Summary
`DefaultXMLWriter.XMLElement(String name)`
`DefaultXMLWriter.XMLElement(String name, int indentation)`

Method Summary
`void` | `setAttribute(String attribute, String value)`
`void` | `setText(String content)`
`void` | `setWrapAttributes(boolean b)`
`void` | `writeElementEnd()`
`void` | `writeElementStart(boolean close)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultXMLWriter.XMLElement

    public DefaultXMLWriter.XMLElement(String name)

### DefaultXMLWriter.XMLElement

    public DefaultXMLWriter.XMLElement(String name,
                                       int indentation)

Method Detail

### setWrapAttributes

    public void setWrapAttributes(boolean b)

### setAttribute

    public void setAttribute(String attribute,
                             String value)

### setText

    public void setText(String content)

### writeElementStart

    public void writeElementStart(boolean close)
                           throws IOException

  Throws:
    `IOException`

### writeElementEnd

    public void writeElementEnd()
                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.